package cn.datax.service.data.masterdata.dao;

import cn.datax.service.data.masterdata.api.entity.ModelCommentEntity;
import cn.datax.service.data.masterdata.api.entity.ModelDataEntity;
import cn.datax.service.data.masterdata.api.entity.ModelEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface OracleDynamicDao {

    void createTable(ModelEntity modelEntity);

    void commentTable(ModelCommentEntity modelCommentEntity);

    void commentColumn(ModelCommentEntity modelCommentEntity);

    void dropTable(@Param("tableName") String tableName);

    void insertData(ModelDataEntity modelDataEntity);

    void updateData(ModelDataEntity modelDataEntity);

    void deleteData(ModelDataEntity modelDataEntity);
}
